## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcSoundListener Struct Reference

This is the sound listener property class. More...

`#include <propclass/sound.h>`

List of all members.

## Public Member Functions

virtual iSndSysListener * | GetSoundListener ()=0
| Get the sound listener.

## Detailed Description

This is the sound listener property class.

There can really be only one listener at any moment. It represents the listener (i.e. player of the game).

This property class supports the following actions (add prefix 'cel.action.' to get the ID of the action and add prefix 'cel.parameter.' to get the ID of the parameter):

- SetDirection: parameters 'front' (vector3), 'top' (vector3).

This property class supports the following properties (add prefix 'cel.property.' to get the ID of the property:

- front (vector3, read/write): front direction.
- top (vector3, read/write): top direction.
- position (vector3, read/write): position.
- distancefactor (float, read/write): distance factor.
- rollofffactor (float, read/write): rolloff factor.
- headsize (float, read/write): headsize.

Definition at line 52 of file sound.h.

## Member Function Documentation

virtual iSndSysListener* iPcSoundListener::GetSoundListener | ( |  | ) | `[pure virtual]`

| Get the sound listener.

The documentation for this struct was generated from the following file:

- propclass/sound.h